MongoDB\BSON\Regex::getPattern
MongoDB\BSON\Timestamp
MongoDB\BSON\Regex
PHP Manual

# MongoDB\BSON\Regex::__toString

(mongodb >=1.0.0)

MongoDB\BSON\Regex::__toString — Returns the string representation of this Regex

### Description

final public string MongoDB\BSON\Regex::__toString ( void )

### Parameters

This function has no parameters.

### Return Values

Returns the string representation of this Regex.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\BSON\Regex::__toString() example

`<?php
$regex = new MongoDB\BSON\Regex('regex', 'i');
var_dump((string) $regex);
?>`

The above example will output:

    string(8) "/regex/i"

### See Also

- » BSON Types

MongoDB\BSON\Regex::getPattern
MongoDB\BSON\Timestamp
MongoDB\BSON\Regex
PHP Manual